/*------------------------------------*\
    #GALLERY-SLIDER
\*------------------------------------*/
/**
 * Gallery slider component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-gallery-slider-space-vertical: $inuit-base-space-vertical;

.#{$inuit-namespace}gallery-slider,
%#{$inuit-namespace}gallery-slider {
    margin-bottom: $inuit-base-space-vertical-small-only;
    padding: $inuit-base-space-vertical-small-only 0;
    overflow: hidden;
    background: $drk-color-light-beige;

    // Typically sections get their bottom padding removed when they're the
    // last section on the page. This re-adds the padding to the gallery-slider.
    // It also remove the bottom margin so the footer won't move down too far.
    &:last-of-type {
        margin-bottom: 0;
        padding-bottom: $inuit-gallery-slider-space-vertical;
    }

    @media #{$medium-up} {
        margin-bottom: $inuit-gallery-slider-space-vertical;
        padding: $inuit-gallery-slider-space-vertical 0;
    }
}

.#{$inuit-namespace}gallery-slider__list,
%#{$inuit-namespace}gallery-slider__list {
    clear: both;
    margin-bottom: 0;
    position: relative;
}

.#{$inuit-namespace}gallery-slider__item,
%#{$inuit-namespace}gallery-slider__item {
    &.slick-active {
        text-decoration: inherit;
    }
}

.#{$inuit-namespace}gallery-slider__headline,
%#{$inuit-namespace}gallery-slider__headline {
    margin-bottom: $drk-grid-unit;
}

.#{$inuit-namespace}gallery-slider__arrow,
%#{$inuit-namespace}gallery-slider__arrow {
    background: transparent;
    border: 0;
    color: $drk-color-blue;
    height: 50px;
    outline: none;
    padding: 0;
    position: absolute;
    width: 50px;
    z-index: 10;

    @include drk-hover {
        color: darken($drk-color-blue, 20);
    }

    > svg {
        @media #{$large-up} {
            height: auto;
            width: rem-calc(100px);
        }
    }

    @media #{$large-up} {
        margin-top: rem-calc(-75px);
        height: auto;
        top: 50%;
        width: 100px;
    }

    &--prev {
        right: auto;
        left: 0;
    }

    &--next {
        right: 0;
    }
}
